#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Email
%define	pnam	Date
Summary:	Email::Date - find and format Date headers
Summary(pl.UTF-8):	Email::Date - znajdywanie i formatowanie nagłówków Date
Name:		perl-Email-Date
Version:	1.104
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4df8d2025e24ffc37217b678ec7e4cb3
URL:		http://search.cpan.org/dist/Email-Date/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Email-Abstract >= 2.10
BuildRequires:	perl-Email-Date-Format >= 1.000
BuildRequires:	perl-Email-Simple >= 1.9
BuildRequires:	perl-Test-Pod >= 1.14
BuildRequires:	perl-Test-Pod-Coverage >= 1.08
BuildRequires:	perl-Time-Piece >= 1.08
BuildRequires:	perl-TimeDate >= 2.27
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RFC 2822 defines the Date: header. It declares the header a required
part of an email message. The syntax for date headers is clearly laid
out. Still, even a perfectly planned world has storms. The truth is,
many programs get it wrong. Very wrong. Or, they don't include a Date:
header at all. This often forces you to look elsewhere for the date,
and hoping to find something.

For this reason, the tedious process of looking for a valid date has
been encapsulated in this software. Further, the process of creating
RFC compliant date strings is also found in this software.

%description -l pl.UTF-8
RFC 2822 definiuje nagłówek Date: (zawierający datę). Określa ten
nagłówek jako obowiązkową część listu. Składnia nagłówków daty jest
jasno opisana. Mimo to wiele programów źle tworzy ten nagłówek. Bardzo
źle. Albo nie dołącza go w ogóle. Zwykle zmusza to do szukania daty
gdzieś indziej z nadzieją znalezienia czegoś.

Z tego powodu nudny proces poszukiwania poprawnej daty został
opakowany w ten pakiet. Co więcej, proces tworzenia łańcuchów daty
zgodnych z RFC także można tu znaleźć.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Email/*.pm
%{_mandir}/man3/*
%changelog
* Sat Oct 27 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Email-Date.git;a=log;h=master

* Sat Oct 27 2018 Adam Gołębiowski <adamg@pld-linux.org> 3448aaf
- updated to 1.104

* Mon Aug 10 2009 hawk <hawk@pld-linux.org> 5319224
- BR perl-Email-Date-Format

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> 1ebb20e
- updated to 1.103

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e6e2eee
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cde9822
- converted to UTF-8

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> d0859f1
- generic url

* Sun Aug 20 2006 Jakub Bogusz <qboosh@pld-linux.org> 22f0f9e
- more test deps

* Fri Aug 11 2006 Jakub Bogusz <qboosh@pld-linux.org> cc387c5
- sorted BRs

* Thu Aug 10 2006 Maciej Pijanka <agaran@pld-linux.org> cd24cb0
- up to 1.101, rel 0.1, builds here, added BR

* Thu Dec 09 2004 ankry <ankry@pld-linux.org> 4e9ff46
- unified capitalization

* Thu Dec 09 2004 Jakub Bogusz <qboosh@pld-linux.org> 002ec8a
- typo, pl

* Thu Dec 09 2004 radek <radek@pld-linux.org> 66c8b5e
- new

